Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451012 - Review Request: pspp - program for statistical analysis of sampled data
Summary: Review Request: pspp - program for statistical analysis of sampled data
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 11:43 UTC by Matěj Cepl
Modified: 2018-04-11 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-16 18:44:32 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2008-06-12 11:43:49 UTC
Spec URL: http://mcepl.fedorapeople.org/rpms/pspp.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/pspp-0.6.0-2.fc9.src.rpm
Description:
PSPP is a program for statistical analysis of sampled data. It
interprets commands in the SPSS language and produces tabular
output in ASCII, PostScript, or HTML format.

PSPP development is ongoing. It already supports a large subset
of SPSS's transformation language. Its statistical procedure
support is currently limited, but growing.

Comment 1 Matěj Cepl 2008-06-12 11:44:18 UTC
Has been successfully built in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=658938

Comment 2 Dan Horák 2008-06-12 11:58:02 UTC
There are wrong scriptlets for installing the info files and also missing
Requires: - see http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Texinfo

Comment 3 Matěj Cepl 2008-06-12 12:54:22 UTC
Updated. .spec file is in the same URL, src.rpm is
http://mcepl.fedorapeople.org/rpms/pspp-0.6.0-3.fc9.src.rpm

Comment 4 Jason Tibbitts 2008-06-13 05:05:42 UTC
It looks odd to have the name of the package in the summary, since we already
have the package name.  I'd suggest just "A program for statistical analysis of
sampled data".  I don't think it's a particularly big deal, though.

There's a complete test suite included; I can't see any reason not to run it as
it works fine with:
  %check
  make check
after the %install section.

I'm pretty sure a GUI is included; shouldn't this have a desktop file so that it
will show up in the menus?

A couple of .la files are installed; generally these aren't shipped.  Are they
needed for something?

Both versioned and unversioned .so files are included in the base package. 
Generally when both are present, the unversioned .so files are put in the -devel
package, but there's not really anything else that would be in a -devel package.
 Are the unversioned .so files used for something?  They seem to be plugins of
some sort.

This package should own /etc/pspp.

* source files match upstream:
   8c85ada08e2133846efc221d88b6b3abd9a525587b1630b246a1887120d0804e  
   pspp-0.6.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary is odd.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(pspp) = 0.6.0-3.fc10
   libpsppire.so.0()(64bit)
   libpsppwidgets.so.0()(64bit)
   pspp = 0.6.0-3.fc10
  =
   /bin/sh
   config(pspp) = 0.6.0-3.fc10
   info
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libgio-2.0.so.0()(64bit)
   libglade-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgsl.so.0()(64bit)
   libgslcblas.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libncurses.so.5()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libplot.so.2()(64bit)
   libpsppire.so.0()(64bit)
   libpsppwidgets.so.0()(64bit)
   libreadline.so.5()(64bit)
   libtinfo.so.5()(64bit)
   libxml2.so.2()(64bit)
   libz.so.1()(64bit)

X %check is not present, but a test suite seems to exist.
 no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets are OK (info installation)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
X libtool .la files are installed.
X no desktop file, but one should be there.

Comment 5 Matěj Cepl 2008-06-13 14:10:26 UTC
Fixed src.rpm is on
http://mcepl.fedorapeople.org/rpms/pspp-0.6.0-2.0.tofail.fc9.src.rpm
(this time) Fixed spec is on the same URL as before.
Build in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=660596

(note, the -devel has not been made as I found all libraries to be private only,
so no .so files are provided).

Comment 6 Jason Tibbitts 2008-06-14 17:09:11 UTC
For some reason this one didn't build for me.

configure: error: The following required prerequisites are not installed.
You must install them before PSPP can be built:
        libglade 2.0 v2.6.0 or later (or use --without-gui)
This is confusing to me as it sure looks like it's been installed, and of course
koji works.  However, the failure is repeatable.

This also doesn't look like the version that was built in koji; you linked to
-2.0.tofail.fc9 but koji built -4.fc9.  I downloded -4 and it builds fine.

Everything I found is fixed:
- Summary is good.
- Test suite is run (the skipped test requires a postgres server)
   All 158 tests passed
   (1 tests were not run)
- /etc/pspp is owned now.
- I don't know why I X'ed the scriptlets; they seem fine to me now.
- .la files are gone.
- desktop file is installed now and looks OK.
- unversioned .so files are gone.

However, because you have both:
  %config(noreplace) %{_sysconfdir}/pspp/*
and
  %{_sysconfdir}/pspp
you get several errors like these:
  warning: File listed twice: /etc/pspp/psfonts
  warning: File listed twice: /etc/pspp/psfonts/Courier-Bold.afm
at the end of the build.  You should replace that second line with
  %dir %{_sysconfdir}/pspp
and things should be OK.

You can make that fix when you check in.

APPROVED

Comment 7 Matěj Cepl 2008-06-14 19:15:50 UTC
Sorry, my stupid mistake -- the correct URL is
http://mcepl.fedorapeople.org/rpms/pspp-0.6.0-4.fc9.src.rpm (the other one -- as
its name indicates -- was supposed to fail to show related bug in gsl library).

Comment 8 Jason Tibbitts 2008-06-14 19:42:54 UTC
Yes, that's the one I downloaded and approved.

Comment 9 Matěj Cepl 2008-06-14 21:19:47 UTC
New Package CVS Request
=======================
Package Name: pspp
Short Description: A program for statistical analysis of sampled data
Owners:mcepl
Branches: F-8 F-9
InitialCC:
Cvsextras Commits:yes


Comment 10 Kevin Fenzi 2008-06-16 16:10:13 UTC
cvs done.

Comment 11 Matěj Cepl 2008-06-16 18:44:32 UTC
(In reply to comment #10)
> cvs done.

Thanks.
http://koji.fedoraproject.org/koji/taskinfo?taskID=664341


Note You need to log in before you can comment on or make changes to this bug.